/***************************************************************************
 *   Copyright (C) 2008 by Marcel Hasler                                   *
 *   mahasler@gmail.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef _KVOLUMEOSD_H_
#define _KVOLUMEOSD_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kglobalaccel.h>
#include <kuniqueapplication.h>
#include <kaboutapplication.h>

#include "osd.h"
#include "mixer.h"
#include "configurationdialog.h"

/**
 * @short Application Main Window
 * @author Marcel Hasler <mahasler@gmail.com>
 * @version 0.1
 */
class KVolumeOSD : public KUniqueApplication
{
    Q_OBJECT
public:
    /**
     * Default Constructor
     */
    KVolumeOSD();

    /**
     * Default Destructor
     */
    virtual ~KVolumeOSD();

	void initializeConfiguration();
	int newInstance();

private slots:
	void slotVolumeUp();
	void slotVolumeDown();
	void slotVolumeMute();
	void slotShowAboutWindow();
	void slotShowConfigWindow();

private:
	void quit();

	Mixer *m_mixer;
	KGlobalAccel *m_globalAccel;
	OSD *m_osd;

	ConfigurationDialog *m_configWindow;
	KAboutApplication *m_aboutWindow;
};

#endif // _KVOLUMEOSD_H_
