/***************************************************************************
 *   Copyright (C) 2008 by Marcel Hasler                                   *
 *   mahasler@gmail.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "kvolumeosd.h"
#include "defs.h"

#include <kuniqueapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

#include <cstdlib>
using namespace std;

static const char description[] = I18N_NOOP("Volume On-Screen Display for KDE");
static const char version[] = "0.1";

static KCmdLineOptions options[] =
{
	{ "configure", I18N_NOOP("Show configuration dialog"), 0 },
	{ "quit", I18N_NOOP("Quits the application"), 0 },
	KCmdLineLastOption
};

int main(int argc, char **argv)
{
	KAboutData about("kvolumeosd", I18N_NOOP("KVolumeOSD"), version, description,
			KAboutData::License_GPL, "(C) 2008 Marcel Hasler", 0, 0, "mahasler@gmail.com");
	about.addAuthor( "Marcel Hasler", 0, "mahasler@gmail.com" );
	KCmdLineArgs::init(argc, argv, &about);
	KCmdLineArgs::addCmdLineOptions( options );
	KUniqueApplication::addCmdLineOptions();

	if (!KUniqueApplication::start())
		exit(0);

	KVolumeOSD *kvolumeosd = new KVolumeOSD();
    return kvolumeosd->exec();
}

