/***************************************************************************
 *   Copyright (C) 2008 by Marcel Hasler                                   *
 *   mahasler@gmail.com                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef OSD_H
#define OSD_H

/**
	@author Marcel Hasler <mahasler@gmail.com>
*/

#include <kmainwindow.h>
#include <kprogress.h>

#include <qpainter.h>
#include <qlabel.h>
#include <qtimer.h>
#include <qimage.h>
#include <qdesktopwidget.h>

enum OSDType { VolUp, VolDown, Mute, Unmute };

class OSD : public QWidget
{
	Q_OBJECT

public:
	OSD();
	~OSD();

	void show(unsigned int volume, OSDType type);

public slots:
	void slotHide();
	void slotUpdate();
	void slotUpdatePosition(int);

private:
	KProgress *m_volumeBar;

	QDesktopWidget *m_desktop;
	QPainter *m_painter;
	QImage *m_mixerImage, *m_muteMixerImage, *m_mixerImageOriginal, *m_muteMixerImageOriginal;
	QLabel *m_pixmapLabel, *m_textLabel;
	QTimer *m_timer;
	QColor *m_backColor, *m_frontColor;

	unsigned int m_xPos, m_yPos;
	unsigned int m_width, m_height;
	unsigned int m_timeout;

	void clearOSD();
	void paintEvent(QPaintEvent*);
};

#endif
